Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Skip Go
cURL
Single Asset
curl --request POST \ --url https://api.skip.build/v2/fungible/ibc_origin_assets \ --header 'Content-Type: application/json' \ --data ' { "assets": [ { "denom": "ibc/14F9BC3E44B8A9C1BE1FB08980FAB87034C9905EF17CF2F5008FC085218811CC", "chain_id": "cosmoshub-4" } ] } '
{ "origin_assets": [ { "asset": { "denom": "uosmo", "chain_id": "osmosis-1", "origin_denom": "uosmo", "origin_chain_id": "osmosis-1", "trace": "", "symbol": "OSMO", "name": "OSMO", "logo_uri": "https://raw.githubusercontent.com/cosmostation/chainlist/main/chain/osmosis/asset/osmo.png", "decimals": 6, "coingecko_id": "osmosis", "description": "The native token of Osmosis" }, "asset_found": true } ] }
Get origin assets from a given list of denoms and chain IDs.
Array of assets to get origin assets for
Show child attributes
The origin assets of the specified denoms and chain IDs.